using System;

internal sealed class Delegate771 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate771 delegate771_1)
	{
		return delegate771_1(object_0);
	}

	public extern Delegate771(object object_0, IntPtr intptr_0);

	static Delegate771()
	{
		Class10.smethod_13(typeof(Delegate771).TypeHandle);
	}

	internal static Delegate771 delegate771_0;
}
